<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('office', function (Blueprint $table) {
            $table->id();
            $table->string('office_name')->comment('办公室名');
            $table->unsignedBigInteger('status')->comment('办公室状态0:正常,1:隐藏')->default(0);
            $table->text('images')->nullable()->comment('缩略图');
            $table->text('detail_images')->nullable()->comment('切割图');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('office');
    }
};
